> For the complete documentation index, see [llms.txt](https://docs.turbine.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/structs/struct.smartorderexecution.md).

# SmartOrderExecution

[Git Source](https://github.com/propeller-heads/turbine/blob/90514973167f1eb25cb9eb7756354fb3de34824d/src/settler/structs/Execution.sol)

**Title:** SmartOrderExecution

Instructions on how to execute a smart order.

```solidity
struct SmartOrderExecution {
bytes32 orderHash;
address target;
address callDataTarget;
bytes callData;
address buyToken;
address sellToken;
uint256 buyAmount;
uint256 minSellAmount;
}
```

**Properties**

| Name             | Type      | Description                                                        |
| ---------------- | --------- | ------------------------------------------------------------------ |
| `orderHash`      | `bytes32` | The hash of the order that this swap represents.                   |
| `target`         | `address` | Where the funds will be sent to.                                   |
| `callDataTarget` | `address` | The address to call. Usually a pool or a router address.           |
| `callData`       | `bytes`   | The calldata to call the target it with.                           |
| `buyToken`       | `address` | Address of the token that the smart order is buying.               |
| `sellToken`      | `address` | Address of the token that the smart order is selling.              |
| `buyAmount`      | `uint256` | The amount of `buyToken` that will be sent to target.              |
| `minSellAmount`  | `uint256` | The minimum amount of `sellToken` that Turbine expects to receive. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.turbine.exchange/reference/contracts/solidity-documentation/settler/structs/struct.smartorderexecution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
